uniform sampler2D u_Texture;

varying float v_pickingId;
varying vec2 v_Uv;

void main()
{
  // no picking id = current vertex belongs to spinning info cube, render normally
  if (v_pickingId == 0.0)
  {
    vec4 color = texture2D(u_Texture, v_Uv);

    // if pixel is transparent, throw it away
    //if (color.w < 0.98) discard;

    gl_FragColor = color;
  }
  // some picking id = current vertex belongs to static info cube, we don't want to render those normally
  else
  {
    discard;
  }
}